Skip to main content
GET
Python

Authorizations

Authorization
string
header
required

API Key authentication. Format: "Bearer YOUR_API_KEY"

Path Parameters

dataset_id
string<uuid>
required

UUID of the dataset

Response

Dataset details

id
string<uuid>
read-only

Unique identifier for the dataset

name
string

Dataset name

description
string | null

Optional description of the dataset contents or purpose

dataset_type
enum<string>

Type of dataset structure. SINGLE_FILE: one CSV/JSON/JSONL file with tabular data. MULTI_FILE: multiple individual text files. MULTI_FOLDER: files organized into folders where each folder represents one sample.

Available options:
SINGLE_FILE,
MULTI_FILE,
MULTI_FOLDER
created_at
string<date-time>
read-only

Timestamp when the dataset was created

updated_at
string<date-time>
read-only

Timestamp when the dataset was last modified

created_by_email
string
read-only

Email address of the user who created the dataset

files
object[]
read-only

List of all files in the dataset

folder_count
integer
read-only

Total number of folders in the dataset

file_count
integer
read-only

Total number of files in the dataset

sample_count
integer | null
read-only

Number of data samples in the dataset. Only populated for SINGLE_FILE datasets (e.g. number of rows in a CSV).